## sbws 1.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = simple-bw-scanner
SOURCEDIR     = source
BUILDDIR      = build
# generate SVG
IMAGEDIRS       = $(SOURCEDIR)/images
BUILDDIRIMAGES  = $(BUILDDIR)/html/_images
PYREVERSE     = pyreverse
PYREVERSE_FLAGS = -o svg -p sbws ../sbws
UMLSVG := $(PYREVERSE) $(PYREVERSE_FLAGS);mv *.svg $(IMAGEDIRS);mkdir -p $(BUILDDIRIMAGES);cp $(IMAGEDIRS)/*.svg $(BUILDDIRIMAGES)

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

umlsvg:
	@echo "Generating UML SVG"
	$(UMLSVG)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	# commented because if system packages invoke make html, it'll automatically
	# recreate the svg on every build, and it's not deterministic.
	#$(UMLSVG)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## sbws 0.6.0

=== debian/changelog ===
sbws (0.6.0-1) unstable; urgency=low

  * Initial debian import. Closes: #903977.

 -- ju xor <ju@riseup.net>  Thu, 16 Aug 2018 14:44:32 +0100

=== debian/control ===
Source: sbws
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: ju xor <ju@riseup.net>
Section: net
Priority: optional
Build-Depends:
 adduser,
 debhelper (>= 11~),
 dh-python,
 pkg-config,
 python3,
 python3-all,
 python3-setuptools,
 python3-socks,
 python3-stem,
 python3-sphinx,
 python3-recommonmark,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/pkg-security-team/sbws
Vcs-Git: https://salsa.debian.org/pkg-security-team/sbws.git
Homepage: https://git.torproject.org/sbws.git

Package: sbws
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 python3-socks,
 python3-stem,
 tor,
Recommends:
 systemd,
Description: Simple Bandwidth Scanner for the Tor network
 Simple Bandwidth Scanner (sbws) scan the Tor network and generates
 bandwidth list files (also called measurements).
 .
 Bandwidth list files contain the Tor relays' bandwidths scaled.
 The are read by the Tor directory authorities to assign weights to the relays
 during heir votes. The specification of the Bandwidth list format is in
 https://gitweb.torproject.org/torspec.git/tree/bandwidth-file-spec.txt
 .
 The scanner (also called generator) builds two hop circuits consisting
 of the relay being measured and a fast exit.
 Over these circuits it measures RTT and download performance.
 .
 sbws is intended to be run by the Tor directory/bandwidth authorities or
 researchers in test networks.

Package: sbws-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Simple Bandwidth Scanner
 Tor bandwidth scanner that generates bandwidth list (measurements) files
 to be read by Directory Authorities.
 .
 This package contains the sbws documentation.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=sbws
export PYBUILD_DESTDIR=debian/sbws
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/source/ docs/build/html # HTML generator

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/watch ===
version=3
# TODO: use https://dist.torproject.org/ when available
opts=uversionmangle=s/(rc|a|b|c)/~$1/, \
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/simple-bw-scanner-$1\.tar\.gz/ \
  https://github.com/pastly/simple-bw-scanner/tags .*/v?(\d\S+)\.tar\.gz

## sbws 1.0.2

=== debian/changelog ===
sbws (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * d/manpages: rename to d/sbws.manpages
  * Standards-Version: bump to 2.4.1 (no changes needed)
  * d/clean: include everything under doc/build
    since there is also man/, not only html/
  * d/control: add dvipng dependendy to build -doc
    since documentation includes latex mathematical formulae that are
    converted to images.
  * d/control: change project home to the main website.
    Instead of using the git URL that does not speak HTTP.
  * d/copyright: change source to the git Web interface
  * d/copyright: use https in the license URL
  * d/rules: check DEB_BUILD_OPTIONS.
    And also run the tests with all the installed python3 versions.
  * d/tests/control: add python3-all.
    So that all python3 versions can be tested.
    Change also format.
  * d/service: restrict dir permissions
  * d/systemd: Add environment variable
  * Remove RTT from description.
    Since it is disabled by default in v1.0.0
  * Fix Vcs URL to the correct team
  * Remove fix for stem old version
  * Update patch removing third party requests
  * d/manpages: use the ones generated by sphinx
  * d/control,rules: run pytest
  * d/control: Add dependency to build docs
  * d/sbws.docs: include example config
  * d/watch: update to canonical GH url
    and check signatures
  * d/tests: add minimal autopkgtest run pytest
  * d/upstream: add signing keys

 -- ju xor <ju@riseup.net>  Thu, 01 Nov 2018 19:04:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,20 @@
  debhelper (>= 11~),
  dh-python,
  pkg-config,
+ dvipng,
  python3,
  python3-all,
+ python3-pytest,
  python3-setuptools,
  python3-socks,
- python3-stem,
+ python3-stem (>= 1.7.0),
  python3-sphinx,
  python3-recommonmark,
-Standards-Version: 4.2.0
-Vcs-Browser: https://salsa.debian.org/pkg-security-team/sbws
-Vcs-Git: https://salsa.debian.org/pkg-security-team/sbws.git
-Homepage: https://git.torproject.org/sbws.git
+ texlive-latex-extra,
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
+Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
+Homepage: https://sbws.readthedocs.io/
 
 Package: sbws
 Architecture: all
@@ -27,7 +30,7 @@
  ${python3:Depends},
  adduser,
  python3-socks,
- python3-stem,
+ python3-stem (>= 1.7.0),
  tor,
 Recommends:
  systemd,
@@ -42,10 +45,13 @@
  .
  The scanner (also called generator) builds two hop circuits consisting
  of the relay being measured and a fast exit.
- Over these circuits it measures RTT and download performance.
+ Over these circuits it measures download performance.
  .
- sbws is intended to be run by the Tor directory/bandwidth authorities or
- researchers in test networks.
+ **WARNING**: This software is intended to be run by researchers using a test
+ Tor network, such as chutney or shadow, or by the Tor bandwidth authorities
+ on the public Tor network.
+ Please do not run this software on the public Tor network unless you are one
+ of the Tor bandwidth authorities, to avoid creating unnecessary traffic.
 
 Package: sbws-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,14 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. sphinx-build -N -bhtml docs/source/ docs/build/html # HTML generator
+	PYTHONPATH=. sphinx-build -N -bman docs/source/ docs/build/man # man generator
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# do not run integration tests since tor can not run in a chroot
+	# run pytest with all the installed python versions
+	for p in $(py3versions -i); do $p -m pytest tests/unit/; done
+endif

## sbws 1.1.0

=== debian/changelog ===
sbws (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/sbws.docs: Moved file upstream
  * d/patches: Update to upstream
  * d/sbws.dirs: Rename .dir to dirs
  * d/sbws-doc.doc-base: Add file
  * Bump debhelper to 12
  * d/control: bump standards-version to 4.3.0
    (no changes needed)
  * d/control: Add Built-Using to sbws-doc
  * d/copyright: Update to 2019
  * d/copyright: Exclude *.egg-info file.
    They are not present in the source distribution but created when
    installing the package.
  * d/sbws.docs: Install the examples directory
    not only the file included, since the link in INSTALL.rst link to
    /examples/X.
  * d/sbws.service: Restrict read/write directories
  * d/sbws.postrm: Remove HOME if empty
    and mask/umask/purg deb-systemd-helper.
    To do not get error with piuparts on purge.

 -- ju xor <ju@riseup.net>  Fri, 05 Apr 2019 12:43:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends:
  adduser,
- debhelper (>= 11~),
+ debhelper (>= 12~),
  dh-python,
  pkg-config,
  dvipng,
@@ -18,7 +18,7 @@
  python3-sphinx,
  python3-recommonmark,
  texlive-latex-extra,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
 Homepage: https://sbws.readthedocs.io/
@@ -58,6 +58,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Simple Bandwidth Scanner
  Tor bandwidth scanner that generates bandwidth list (measurements) files
  to be read by Directory Authorities.

=== debian/tests/control ===
Tests: pytest
Depends:
  @,
  python3-pytest,
  python3-all

=== debian/watch ===
version=4
# TODO: use https://dist.torproject.org/ when available
opts="pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/v$1\/v$1\.tar\.gz\.asc/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sbws-$1.tar.gz%" \
  https://github.com/torproject/sbws/releases .*/v?(\d\S+)\.tar\.gz

## sbws 1.2.0

=== debian/changelog ===
sbws (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * d/watch: Update to gitlab releases
  * d/patches: Remove patch not needed anymore
    since upstream removed 3rd party link.
  * d/copyright: Update dates and upstream contact
  * d/sbws.docs: Replace .md to .rst
    since they're changed in upstream.
  * Bump to debhelper-compat 13
  * d/control: Bump Standards-Version to 4.5.1
    (no changes needed)
  * d/rules: List supported packages
    instead of installed ones.
    Removes lintian W debian-rules-uses-installed-python-versions.
  * d/control: Add Rules-Requires-Root
  * d/upstream: Add metadata file
  * d/control: Remove source dependency
    not needed anymore.
  * Automatic reformat with wrap-and-sort
  * d/tests/control: Add missing dependency
  * Prepare new release

 -- ju xor <ju@riseup.net>  Sat, 17 Apr 2021 19:11:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: sbws
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: ju xor <ju@riseup.net>
+Uploaders:
+ ju xor <ju@riseup.net>,
 Section: net
 Priority: optional
 Build-Depends:
  adduser,
- debhelper (>= 12~),
+ debhelper-compat (= 13),
  dh-python,
+ dvipng,
  pkg-config,
- dvipng,
  python3,
  python3-all,
  python3-pytest,
  python3-setuptools,
  python3-socks,
+ python3-sphinx,
  python3-stem (>= 1.7.0),
- python3-sphinx,
- python3-recommonmark,
  texlive-latex-extra,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
 Homepage: https://sbws.readthedocs.io/
@@ -26,12 +27,12 @@
 Package: sbws
 Architecture: all
 Depends:
- ${misc:Depends},
- ${python3:Depends},
  adduser,
  python3-socks,
  python3-stem (>= 1.7.0),
  tor,
+ ${misc:Depends},
+ ${python3:Depends},
 Recommends:
  systemd,
 Description: Simple Bandwidth Scanner for the Tor network
@@ -56,9 +57,11 @@
 Package: sbws-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: Simple Bandwidth Scanner
  Tor bandwidth scanner that generates bandwidth list (measurements) files
  to be read by Directory Authorities.

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,5 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# do not run integration tests since tor can not run in a chroot
 	# run pytest with all the installed python versions
-	for p in $(py3versions -i); do $p -m pytest tests/unit/; done
+	for p in $(py3versions -s); do $p -m pytest tests/unit/; done
 endif

=== debian/tests/control ===
Tests: pytest
Depends:
 python3-all,
 python3-freezegun,
 python3-pytest,
 @,

=== debian/watch ===
# https://wiki.debian.org/debian/watch#Gitlab
version=4
options="mode=git,pgpmode=gittag" \
  https://gitlab.torproject.org/tpo/network-health/sbws.git \
  refs/tags/v?@ANY_VERSION@

## sbws 1.3.0

=== debian/changelog ===
sbws (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Add new dependency
  * d/copyright: update source canonical url
  * d/tests/control: add new dependency that was missing
  * d/upstream/metadata, d/control: Update docs link
  * Prepare new release

 -- ju xor <ju@riseup.net>  Thu, 19 Aug 2021 10:23:03 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  pkg-config,
  python3,
  python3-all,
+ python3-psutil,
  python3-pytest,
  python3-setuptools,
  python3-socks,
@@ -22,12 +23,13 @@
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
-Homepage: https://sbws.readthedocs.io/
+Homepage: https://tpo.pages.torproject.net/network-health/sbws/
 
 Package: sbws
 Architecture: all
 Depends:
  adduser,
+ python3-psutil,
  python3-socks,
  python3-stem (>= 1.7.0),
  tor,

## sbws 1.4.0

=== debian/changelog ===
sbws (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * d/control: Add new upstream dependency
  * d/control: Upgrade upstream dependency
  * d/control: Bump Standards-Version to 4.6.0.
    No changes required.
  * d/control: Remove Built-Using from sbws-doc
  * d/copyright: Update for 2022

 -- ju xor <ju@riseup.net>  Thu, 03 Mar 2022 18:19:59 +0000

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
  python3-setuptools,
  python3-socks,
  python3-sphinx,
- python3-stem (>= 1.7.0),
+ python3-stem (>= 1.8.0),
+ python3-versioneer,
  texlive-latex-extra,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
 Homepage: https://tpo.pages.torproject.net/network-health/sbws/
@@ -31,7 +32,8 @@
  adduser,
  python3-psutil,
  python3-socks,
- python3-stem (>= 1.7.0),
+ python3-stem (>= 1.8.0),
+ python3-versioneer,
  tor,
  ${misc:Depends},
  ${python3:Depends},
@@ -62,8 +64,6 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
 Description: Simple Bandwidth Scanner
  Tor bandwidth scanner that generates bandwidth list (measurements) files
  to be read by Directory Authorities.

## sbws 1.5.2

=== docs/Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 PYREVERSE     = pyreverse
 PYREVERSE_FLAGS = -o svg -p sbws ../sbws
 UMLSVG := $(PYREVERSE) $(PYREVERSE_FLAGS);mv *.svg $(IMAGEDIRS);mkdir -p $(BUILDDIRIMAGES);cp $(IMAGEDIRS)/*.svg $(BUILDDIRIMAGES)
+PLANTUML := plantuml
+PLANTUML_CMD := $(PLANTUML) -tsvg -o ../$(IMAGEDIRS) $(SOURCEDIR)/*.puml
 
 # Put it first so that "make" without argument is like "make help".
 help:
@@ -24,6 +26,10 @@
 	@echo "Generating UML SVG"
 	$(UMLSVG)
 
+plantuml:
+	@echo "Generating plantuml .svg files."
+	$(PLANTUML_CMD)
+
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile

=== debian/changelog ===
sbws (1.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:45:22 +0200

sbws (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/control: Bump Standards-Version to 4.6.1.
    No changes required.

 -- ju xor <ju@riseup.net>  Thu, 19 May 2022 15:14:53 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-versioneer,
  texlive-latex-extra,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
 Homepage: https://tpo.pages.torproject.net/network-health/sbws/

=== debian/tests/control ===
Tests: pytest
Depends:
 python3-pytest-mock,
 python3-all,
 python3-freezegun,
 python3-pytest,
 @,

## sbws 1.7.0

=== debian/changelog ===
sbws (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- ju xor <ju@riseup.net>  Wed, 26 Jul 2023 11:04:12 +0000

sbws (1.6.0-1) experimental; urgency=medium

  * d/gbp.conf, watch: Remove upstream-vcs-tag and
    add compression, to continue importing upstream from tarball
  * New upstream version 1.6.0
  * d/control: Bump Standards-Version to 4.6.2
  * d/: Add systemd timers and remove cron.
    Removes lintian W missing-systemd-timer-for-cron-script.
    Also, add `SUPERVISED` env var to use the same settings/home as the
    main systemd service.
    Closes https://gitlab.torproject.org/tpo/network-health/sbws/-/issues/40149
  * d/copyright: Update for 2023
  * d/NEWS: Inform about removing /etc/cron.d/sbws

 -- ju xor <ju@riseup.net>  Mon, 27 Mar 2023 14:37:36 +0000

## sbws 1.8.0

=== debian/changelog ===
sbws (1.8.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- ju xor <ju@riseup.net>  Wed, 13 Sep 2023 13:50:27 +0000

sbws (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0

 -- ju xor <ju@riseup.net>  Wed, 13 Sep 2023 08:35:51 +0000

## sbws 1.8.1

=== debian/changelog ===
sbws (1.8.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports. 

 -- ju xor <ju@riseup.net>  Tue, 24 Oct 2023 08:47:40 +0000

sbws (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1

 -- ju xor <ju@riseup.net>  Thu, 19 Oct 2023 14:23:05 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-versioneer,
  texlive-latex-extra,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
 Homepage: https://tpo.pages.torproject.net/network-health/sbws/

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 	PYTHONPATH=. sphinx-build -N -bman docs/source/ docs/build/man # man generator
 
 override_dh_installsystemd:
-	dh_installsystemd --no-enable --no-start
+	dh_installsystemd --no-enable --no-start --name=sbws
+	dh_installsystemd --no-enable --no-start --name=sbws_generate
+	dh_installsystemd --no-enable --no-start --name=sbws_cleanup
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## sbws 1.9.0

=== debian/changelog ===
sbws (1.9.0-2) unstable; urgency=medium

  * fix erroneous conffile prompt on upgrade (Closes: #1071057)
  * d/control:
    + replace obsolete pkg-config with pkgconf
    + bump Standards-Version, no changes needed
    + fix URL in description
    + add myself to Uploaders

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 09 Sep 2024 08:13:40 -0400

sbws (1.9.0-1) unstable; urgency=medium

  * move to DEP-14 branch naming
  * d/copyright: Update for 2023
  * d/control: Keep running/restart units on upgrades.
    Also enable and start them on install.
    Closes https://gitlab.torproject.org/tpo/network-health/sbws/-/issues/40192
  * d/control: Add missing systemd dependency
  * d/control: Stop packaging sbws-doc
    since it's probably not installed, add more complexity and docs are
    available online at https://tpo.pages.torproject.net/network-health/sbws/.
  * d/sbws.cron.d: Re-introduce cron jobs
    so that the operator can choose between them and systemd timers.
    Bugfix a9be1d565b5b848608a9fe9d694be4195cb4c42f.
  * Add examples to send mail on unit failure.
    Closes https://gitlab.torproject.org/tpo/network-health/sbws/-/issues/40178
  * New upstream version 1.9.0

 -- ju xor <ju@riseup.net>  Wed, 24 Jan 2024 07:23:46 +0000

=== debian/control ===
Source: sbws
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders:
 ju xor <ju@riseup.net>,
 Jérôme Charaoui <jerome@riseup.net>,
Section: net
Priority: optional
Build-Depends:
 adduser,
 debhelper-compat (= 13),
 dh-python,
 pkgconf,
 python3,
 python3-all,
 python3-psutil,
 python3-pytest,
 python3-setuptools,
 python3-socks,
 python3-sphinx,
 python3-stem (>= 1.8.0),
 python3-versioneer,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
Homepage: https://tpo.pages.torproject.net/network-health/sbws/

Package: sbws
Architecture: all
Depends:
 adduser,
 python3-psutil,
 python3-socks,
 python3-stem (>= 1.8.0),
 python3-versioneer,
 systemd,
 tor,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: Simple Bandwidth Scanner for the Tor network
 Simple Bandwidth Scanner (sbws) scan the Tor network and generates
 bandwidth list files (also called measurements).
 .
 Bandwidth list files contain the Tor relays' bandwidths scaled.
 The are read by the Tor directory authorities to assign weights to the relays
 during heir votes. The specification of the Bandwidth list format is in
 https://spec.torproject.org/bandwidth-file-spec/index.html
 .
 The scanner (also called generator) builds two hop circuits consisting
 of the relay being measured and a fast exit.
 Over these circuits it measures download performance.
 .
 **WARNING**: This software is intended to be run by researchers using a test
 Tor network, such as chutney or shadow, or by the Tor bandwidth authorities
 on the public Tor network.
 Please do not run this software on the public Tor network unless you are one
 of the Tor bandwidth authorities, to avoid creating unnecessary traffic.

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,12 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -N -bhtml docs/source/ docs/build/html # HTML generator
 	PYTHONPATH=. sphinx-build -N -bman docs/source/ docs/build/man # man generator
 
 override_dh_installsystemd:
-	dh_installsystemd --no-enable --no-start --name=sbws
-	dh_installsystemd --no-enable --no-start --name=sbws_generate
-	dh_installsystemd --no-enable --no-start --name=sbws_cleanup
+	dh_installsystemd --no-stop-on-upgrade --name=sbws
+	dh_installsystemd --no-stop-on-upgrade --name=sbws_generate
+	dh_installsystemd --no-stop-on-upgrade --name=sbws_cleanup
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## sbws 2.2.0

=== debian/changelog ===
sbws (2.2.0-1) unstable; urgency=medium

  * d/tests: Replace freezegun by time-machine
    as in unpstream. Also reorder deps
  * d/control: Remove Rules-Requires-Root
    set by default to no from dpkg version 1.22.13.
  * d/{control, rules}: Remove unneded dep sphinxdoc
  * d/control: Build using pyproject plugin
  * d/control: Bump Standards-Version to 4.7.2.
    No changes required.
  * d/sbws.triggers: Detect when tor binary is modified
    to restart sbws.
    Closes sbws#40206
  * d/clean: Ignore mypy cache
  * d/control: Remove no root and replace
    pkg-config by pkgconf
  * d/copyright: Update for 2025
  * New upstream version 2.2.0

 -- ju xor <ju@riseup.net>  Fri, 17 Oct 2025 09:29:41 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  dh-python,
  pkgconf,
+ pybuild-plugin-pyproject,
  python3,
  python3-all,
  python3-psutil,
@@ -19,8 +20,8 @@
  python3-sphinx,
  python3-stem (>= 1.8.0),
  python3-versioneer,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+ python3-wheel,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/sbws
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/sbws.git
 Homepage: https://tpo.pages.torproject.net/network-health/sbws/
@@ -37,7 +38,6 @@
  tor,
  ${misc:Depends},
  ${python3:Depends},
- ${sphinxdoc:Depends},
 Description: Simple Bandwidth Scanner for the Tor network
  Simple Bandwidth Scanner (sbws) scan the Tor network and generates
  bandwidth list files (also called measurements).

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 export PYBUILD_NAME=sbws
 export PYBUILD_DESTDIR=debian/sbws
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
Tests:
 pytest,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-mock,
 python3-time-machine,
 @,

=== debian/watch ===
# https://wiki.debian.org/debian/watch#Gitlab
version=4
options="mode=git,pgpmode=gittag, compression=xz" \
  https://gitlab.torproject.org/tpo/network-health/sbws.git \
  refs/tags/v?@ANY_VERSION@
